//+------------------------------------------------------------------+
//|                                                          DRP.mq4 |
//|                                                     Yuriy Tokman |
//|                                            yurietokman@gmail.com |
//+------------------------------------------------------------------+
#property copyright "Yuriy Tokman"
#property link      "yurietokman@gmail.com"

#property indicator_chart_window
extern color     colir = Lavender ;
extern int       barsToProcess=1000;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators 
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
 int i;
 for (i=0;i<Bars;i++)
    {
    ObjectDelete("drp"+DoubleToStr(i,0));
    }  
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted(),
//----
   limit,
   i=0; 
   if(counted_bars>0)
      counted_bars--;
   
   limit=Bars-counted_bars;
   
   if(limit>barsToProcess)
      limit=barsToProcess;

   while (i<limit)
   {           
     double x,h,l,o,c ;
     h = iHigh(NULL,0,i);
     l = iLow(NULL,0,i);
     o = iOpen(NULL,0,i);
     c = iClose(NULL,0,i);
     if (c<o) {x=(h+l+c+l)/2;}
     else if (c>o){x=(h+l+c+h)/2;}
     else if (c==o){x=(h+l+c+c)/2;}
     ObjectCreate("drp"+DoubleToStr(i,0),OBJ_RECTANGLE,0,0,0,0,0);
     ObjectSet("drp"+DoubleToStr(i,0),OBJPROP_TIME1,Time[i]);
     ObjectSet("drp"+DoubleToStr(i,0),OBJPROP_PRICE1,(x-l));
     ObjectSet("drp"+DoubleToStr(i,0),OBJPROP_TIME2,(Time[i]+(Time[i]-Time[i+1])));
     ObjectSet("drp"+DoubleToStr(i,0),OBJPROP_PRICE2,(x-h));
     ObjectSet("drp"+DoubleToStr(i,0),OBJPROP_COLOR,colir);      
     i++;  
   }  
//----
   return(0);
  }
//+------------------------------------------------------------------+